Subject: bug#56311: [PATCH] new function: delete-visited-file

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 30 Jun 2022 12:27:24 +0200

Visuwesh <[email-masked]> writes:

> FWIW, the fact that Emacs leaves the buffer around has saved my back at
> least twice,
>
>     . when I accidentally deleted the wrong files in dired due to
>       stale marks.
>     . when I tried to fix a broken symlink but got the argument order in
>       ln wrong and had the real file "zeroed".

And since deleting the visited file is currently very easy, as Eli
pointed out:

  M-x delete-file RET M-n RET

I don't think this would be a command that people would use a lot.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no